﻿@model IEnumerable<ToitKoju.Detail>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.OrderNo)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Comment)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Unit)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.UnitsAmount)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Ingredient.IngredientName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Recipy.RecipeName)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.OrderNo)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Comment)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Unit)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.UnitsAmount)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Ingredient.IngredientName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Recipy.RecipeName)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", new { id = item.DetailID }) |
                    @Html.ActionLink("Details", "Details", new { id = item.DetailID }) |
                    @Html.ActionLink("Delete", "Delete", new { id = item.DetailID })
                </td>
            </tr>
        }

</table>
